<template>
  <div id="book-list">
    <book-tile v-for="book in books" :key="book.key" :book="book" />
  </div>
</template>

<script>
import { mapState } from "vuex";
import BookTile from "./BookTile.vue";

export default {
  components: { BookTile },
  computed: {
    ...mapState({
      books(state) {
        return state.books;
      },
    }),
  },
};
</script>

<style>
div#book-list {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
</style>
